### Method

# ECal ComponentPeriod free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_period_free (
      ECalComponentPeriod* period
    )

#### Description [src]

Free the `period`, previously allocated by e_cal_component_period_new_datetime(), `e_cal_component_period_new_duration()` or e_cal_component_period_copy().

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`period`

  Type: `ECalComponentPeriod`

  An `ECalComponentPeriod` to free.

  The argument can be `NULL`.